= 2.4.15 | 25th February 2026 =
* Update: Missing files for new prebuilt templates for Woo Templates

= 2.4.14 | 25th February 2026 =
* Add: New prebuilt templates for Woo Templates
* Fix: Gallery options don’t appear if a different gallery type is selected for desktop.
* Fix: Issue with Quickview Multisite
* Fix: Product: Tabs block style settings not working on frontend.
* Fix: Safety checks in kt-badges.php file.

= 2.4.13 | 11th February 2026 =
* Add: Option show product variations in quickview, but not the archive.

= 2.4.12 | 6th November 2025 =
* Add: Filter for advanced review author name.

= 2.4.11 | 9th October 2025 =
* Fix: Issue with product gallery margins when switching in variation images.
* Fix: issue with badge checks on non product single pages.
* Add: Quickview button block
* Add: Quickview button single page placement option.

= 2.4.10 | 23rd July 2025 =
* Add: Global function to initialize variation swatches outside of the plugin.
* Fix: Product Description block in product loop woo template.

== 2.4.9 | 19th June 2025 ==
* Fix: Gallery arrows showing up when there are no additional images.

== 2.4.8 | 29th May 2025 ==
* Fix: Variations images are not changing using advanced query loop
* Fix: Shop Kit Affiliate Product Options breaks Badges display on archive
* Fix: Width/height issue with Shop Kit Size Chart buttons in WP 6.8

== 2.4.7 | 28th April 2025 ==
* Fix: Added more safety checks to telemetry opt-ins/opt-outs.

== 2.4.6 | 17rd April 2025 ==
* Fix: Error when setting "Show on products with certain tags" without selecting any tags.

== 2.4.5 | 3rd April 2025 ==
* Update: allow for license key embeds.
* Fix: Issue with title showing on image.

== 2.4.4 | 25th March 2025 ==
* Update: woocommerce template file override version numbers.
* Fix: Issue with variation swatches always using variable product custom add to cart text

== 2.4.3 | 18th March 2025 ==
* Fix: Issue with product brands column width in admin
* Fix: Product badges throwing error on cart page when cart block is added

== 2.4.2 | 12th February 2025 ==
* Fix: Issue with Snackbar notices scroll in checkout
* Fix: Error when woo templates is disabled and quickview is.

== 2.4.1 | 28th January 2025 ==
* Fix: Issue with Product Galleries javascript selectors

== 2.4.0 | 27th January 2025 ==
* Add: Product Quickview.
* Fix: Issue with funnelkit side cart and variation swatches
* Fix: Issue with product tabs in Woo templates
* Fix: variation images not updating with swatches in Query Loop blocks

== 2.3.4 | 13th December 2024 ==
* Fix: Issue with selecting attributes for Size Chart placement
* Fix: Issue when opening size chart's with long content

== 2.3.3 | 5th December 2024 ==
* Add: settings to inherit kadence theme global heading/body fonts.
* Fix: Issue product gallery vertical layouts/sliders.
* Fix: undefined variable warning.
* Fix: Issue with badges when using the low stock condition on checkout pages.

== 2.3.2 | 28th October 2024 ==
* Fix: Issue with variation swatches default sizes.
* Fix: Issue with badge 0 value borders, border radius, padding, and margins.

== 2.3.1 | 18th October 2024 ==
* Fix: Issue with variation swatches radio display.

== 2.3.0 | 17th October 2024 ==
* Add: Product Badges feature.
* Enchancement: Including swatch meta data in the woocommerce import export process
* Fix: Issue with custom billing and shipping fields duplicate meta keys
* Fix: Issue with galleries and other components not loading on woocommerce single page shortcode
* Fix: Issue with multiple add to cart variation swatch forms on a single page
* Fix: Conflict with ShopKit gallery slider close button and theme button styles
* Fix: Force Image to fill the container option not applying in some situations
* Fix: Issue with variation swatch sizes applying outside their scope or when disabled
* Fix: Issue with snackbar notice styling.

== 2.2.6 | 24th September 2024 ==
* Fix: Issue with typing into the setting page causing a reload.

== 2.2.5 | 17th September 2024 ==
* Fix: Issue when activating plugin while woocommerce is inactive.

== 2.2.4 | 23th August 2024 ==
* Fix: Issue with single templates and swatches.
* Fix: Issue with archive swatch size for taxonomy defined swatches.
* Fix: Issue with convert reviews button.

== 2.2.3 | 13th August 2024 ==
* Fix: Stable tag.

== 2.2.2 | 13th August 2024 ==
* Fix: Swatches not wrapping on products with many variations.

== 2.2.1 | 13th August 2024 ==
* Fix: License validation request issue.

== 2.2.0 | 12th August 2024 ==
* Add: Swatches for Archives (Show swatches in loop templates).
* Update: New Settings Panel Design.
* Update: WooCommerce template files.
* Fix: Issue when scrolling within modals on touch devices.
* Fix: Reviews block tablet and mobile single column layout.
* Fix: Issue with styling title in loop.
* Fix: Typo in settings.

== 2.1.0 | 26th February 2024 ==
* Update: License and Updater.
* Update: Settings Framework.
* Fix: Product tabs "Start all closed" not applying.
* Fix: Issue with WPML and size chart translation.

== 2.0.28 | 3rd January 2024 ==
* Fix: Issue with default fields not showing for checkout coupon modal.

== 2.0.27 | 17th November 2023 ==
* Update: Woo Blocks to integrate in other block areas. 
* Fix: Billing select in admin issue.

== 2.0.26 | 13th November 2023 ==
* Fix: Issue in checkout fields on admin order screen.

== 2.0.25 | 13th November 2023 ==
* Update: Cart banner options text.
* Fix: Consent checkbox in reviews not being forced.

== 2.0.24 | 21st August 2023 ==
* Fix: Flash of unstyled gallery when loading.

== 2.0.23 | 15th August 2023 ==
* Fix: Possible issue with slider thumbnail styles.

== 2.0.22 | 14th August 2023 ==
* Update: Context Provider for 6.3 support of post preview in templates.
* Update: Splide to prevent conflicts with third party plugins.
* Fix: Issue with cart notice.

== 2.0.21 | 15th June 2023 ==
* Update: WooCommerce Template notice.

== 2.0.20 | 1st June 2023 ==
* Update: Allow auto play to adjust slider height.
* Update: Allow multiple tabs blocks to have different enabled tabs.
* Fix: Issue with slider height adjust when selecting variation.

== 2.0.19 | 17th May 2023 ==
* Fix: Issue with image links opening a new tab.
* Fix: Issue with product title block and Affiliate links.

== 2.0.18 | 4th May 2023 ==
* Update: Attributes blocks to work in loop.
* Fix: Issue with gallery ratio sizing.
* Fix: Issue with top rated and best selling blocks using loop.
* Fix: Issue with affiliate link settings when using a custom template.

== 2.0.17 | 31st March 2023 ==
* Fix: Issue some custom checkfield field slugs.

== 2.0.16 | 30th March 2023 ==
* Fix: Issue with 6.2 and templates.
* Fix: Issue with checkout data missing in admin.

== 2.0.15 | 27th March 2023 ==
* Fix: Issue with custom checkout fields causing an error.

== 2.0.14 | 24th March 2023 ==
* Add: Better built in lazy load to product gallery.
* Update: Declare HPOS support.
* Fix: Issue with thumbnail image swap size.
* Fix: Issue with gallery gap in list view.
* Fix: Issue with translating values in checkout.

== 2.0.13 | 6th February 2023 ==
* Fix: Issue with FSE theme and header/footer styles.
* Fix: Possible PHP notice about $gallery_args.
* Update: Size Chart, hide responsive table settings unless in classic editor.

== 2.0.12 | 20th January 2023 ==
* Fix: Issue with WC update and removing quantity field.

== 2.0.11 | 19th January 2023 ==
* Fix: Possible issue with gallery in panels

== 2.0.10 | 17th January 2023 ==
* Update: Gallery Styles and JS for better multi type support.
* Update: Add filter to allow swatches to be loaded in archives for Quickview plugins.
* Fix: Issue with FSE theme and header/footer while using a template.
* Fix: Issue with gallery sizes causing potential multiple loops.
* Fix: Issue with WC update and removing quantity field.
* Fix: Issue with Tag and Sales woocommerce blocks and product loop templates.
* Fix: WPMl issue with custom checkout fields and email and account page.

== 2.0.9 | 14th December 2022 ==
* Add: Setting to assign product loop templates to a category of product, regardless of output page.
* Update: Allow custom loops to work with woocommerce blocks.
* Update: Extra fields to show in order review.
* Update: Allow global tabs to be linked to through their anchor.
* Update: Option to allow global tabs to have an override title so admin viewing is easier with multiple global tabs.
* Fix: Issue with Gift Card extension and custom templates.
* Fix: Issue with size chart not showing correctly on custom templates.
* Fix: Issue with gallery arrows and RTL layouts.
* Fix: Issue with image sizes in custom product loop.
* Fix: Issue with styles and ajax loaded product loops.
* Fix: Issue with fade transition effecting grid layouts.
* Fix: Issue with checkout required fields when field hidden.
* Fix: Issue with single column main query block on mobile/tablet.
* Fix: Prevent swatches interacting with PW WooCommerce Gift Cards.
* Fix: Styling issue with snackbar notice.
* Fix: Issue with custom attribute not showing tooltip in swatches.
* Fix: Issue with responsive columns in upsell block.
* Fix: Issue with two description or tabs blocks on the same template.

== 2.0.8 | 26th August 2022 ==
* Fix: Issue with two swatch settings showing in attributes and not saving.
* Fix: Typo in settings.

== 2.0.7 | 4th August 2022 ==
* Add: Option in attributes to define dropdown or radio box select type.
* Update: Simplify swatches tooltips js.
* Update: Improve taxonomy meta data.
* Update: Add to cart block to not be clickable in editor.
* Update: Improve third-party support for add to cart block.
* Fix: Possible issue with lightbox not updating variation images
* Fix: Snackbar notices empty cart issue.
* Fix: Snackbar Notices Paypal issue.

== 2.0.6 | 29th July 2022 ==
* Update: Language pot file.
* Fix: Possible issue with svg and brand images.

== 2.0.5 | 28th July 2022 ==
* Update: Basic prebuilt template for loop.
* Update: Add fullwidth button option to product loop.
* Fix: Show Caption overlay on images.
* Fix: Some issues with CLS and product gallery.
* Fix: Issue with rating spacing.
* Fix: Bug with main thumbnail srcset, for variable product.
* Fix: Issue with default variation image not switching with lightbox disabled.
* Fix: Snackbar issue with some payment gateways.

== 2.0.4 | 1st July 2022 ==
* Add: Prebuilt Template System (more to come).
* Add: Option in gallery to change image on thumbnail hover.
* Add: Option to start with accordion (tabs) closed.
* Update: Convert reviews to prevent multiple ajax actions.
* Update: Brand product count cache to clear with other woocommerce transients.
* Update: Language with regard to variation image replacements.
* Fix: Gap css on some gallery layouts.
* Fix: Alignment with variation add to cart buttons.
* Fix: Issue with zoom z-index.
* Fix: Issue with variation thumbnail layout in some cases.
* Fix: Issue with add to cart and custom variation price.

== 2.0.3 | 22nd June 2022 ==
* Update: Allow gallery to change height based on image size.
* Fix: Issue with upsell block.
* Fix: Issue with ajax in variation products.

== 2.0.2 | 20th June 2022 ==
* Add: Dismissible Snackbar Notices.
* Add: Archive: Main Query Block. 
* Add: Woocommerce Notice block.
* Add: Custom Actions Block.
* Add: Product Brands Block.
* Add: Duplicate Post option in templates.
* Add: Sale tag controls to gallery and image block.
* Add: option to set related and upsell columns.
* Add: option to set spacing between thumbnails.
* Add: Option to define thumbnail columns in gallery block.
* Add: Option to turn off product title in breadcrumbs.
* Add: Option to disable lightbox in gallery.
* Add: Option to change lightbox style to light.
* Update: Gallery lightbox js.
* Update: Cart notices name to cart banners to prevent confusion.
* Update: Allow Cart banners to show when using cart block.
* Update: Include 16:9 ratio option for gallery.
* Update: Allow thumbnail columns to update based on variation gallery.
* Update: Slider gallery to show pagination dots.
* Fix: Issue with gallery not rendering in mobile preview.
* Fix: Issue with gallery/variations when only featured image is set.
* Fix: Issue if preview product is cleared or removed.

== 2.0.1 | 25th May 2022 ==
* Add: Three new Gallery layouts.
* Add: Swatch option to show label above selection area.
* Add: Size chart display position before selection area.
* Update: Gallery Block Controls to include options to change layout.
* Update: Image magnifier css issue.
* Fix: Issue with some typography settings not rendering.
* Fix: Issue with add to cart hide quantity not working.
* Fix: Issue with all archives option.
* Fix: sale tag in archive image.

== 2.0.0 | 20th May 2022 ==
* Add: New Woocommerce Template Editor.
* Add: Variation galleries.
* Add: Responsive settings for product galleries.
* Add: New Admin Options Panel.
* Update JS for gallery slider, fix cls issues.
* Update: Size Chart CSS/JS. Add attribute select placement, Add Modal Title.
* Update: Variation Pricing options to only show from when price is range.

== 1.6.28 | 13th December 2021 ==
* Fix: Issue with global tabs and php 8.

== 1.6.27 | 15th November 2021 ==
* Fix: Issue with swatches filter to work better with third-party plugins.
* Fix: Issue with headers already sent.

== 1.6.26 | 8th November 2021 ==
* Add: Option to not follow product image sizes for product gallery.
* Update: Increase product image width max width.
* Update: Add Tab Label option to size charts.
* Update: CMB2.
* Update: CMB conditionals to prevent any conflicts.

== 1.6.25 | 13th October 2021 ==
* Add: Video Popup option to product gallery.
* Fix: Possible notices with PHP 8

== 1.6.24 | 29th September 2021 ==
* Fix: Possible issue with PHP 8
* Fix: Issue with gallery arrow.

== 1.6.23 | 22nd September 2021 ==
* Add: All Active Filter widget to include brands.
* Update: Remove heading tag on size chart modal.
* Update: Size chart modal render moved to footer to prevent SEO issues.
* Update: Swatches.
* Fix: Issue with lightbox and video popup.
* Fix: Issue with brands filter not interacting with core filter well.

== 1.6.22 | 13th April 2021 ==
* Update: Reviews converter to handle reviews without a rating.
* Fix: RTL gallery issue.
* Fix: RTL swatches issue.
* Fix: Issue with checkout manager and jquery migrate.

== 1.6.21 | 10th February 2021 ==
* Fix: Render Checkout Field HTML in notice.

== 1.6.20 | 10th February 2021 ==
* Update: Extra Checkout fields showing html in admin orders table.
* Update: Show support for WC 5.0
* Fix: Product gallery zindex issue.

== 1.6.19 | 2nd December 2020 ==
* Fix: Checkout fields edit option not working.

== 1.6.18 | 1st December 2020 ==
* Update: Checkout fields output placement in order details.

== 1.6.17 | 19th November 2020 ==
* Fix: Template Warning.

== 1.6.16 | 13th November 2020 ==
* Fix: Dependency bug.

== 1.6.15 | 12th November 2020 ==
* Fix: PHP 7.2 bug
* Fix: Gallery issue with elementor templates pro.
* Fix: Issue with gallery and certain images sizes.

== 1.6.14 | 3rd November 2020 ==
* Update: Options Framework version.
* Update: Updater Framework.
* Update: Better Kadence Theme External Product support.

== 1.6.13 | 27th August 2020 ==
* Fix: Issue with offload Media.
* Fix: Variation issue.

== 1.6.12 | 21st August 2020 ==
* Add: Option to turn off voting for advanced reviews.
* Fix: CSS issue with gallery arrows.

== 1.6.11 | 6th August 2020 ==
* Fix: Swatches issue with product bundles.

== 1.6.10 | 16th June 2020 ==
* update: Fix css styling with swatches.

== 1.6.9 | 18th May 2020 ==
* Add: Make opaque unavailable options in swatches.
* Update: Language settings for reviews.

== 1.6.8 | 10th March 2020 ==
* Fix: Advanced Reviews issue.
* Update: support for WC 4.

== 1.6.7 | 28th February 2020 ==
* Add: Product Brands to woocommerce import/export.

== 1.6.6 | 6th February 2020 ==
* Fix: Possible bug with admin swatches.

== 1.6.5 | 31st January 2020 ==
* Allow Elementor to be used in size chart.

== 1.6.4 | 28th January 2020 ==
* Fix: Bug in IE11 with swatches.

== 1.6.3 | 9th January 2020 ==
* Fix: Bug in Gallery Vertical Images
* Update: Checkout fields move icon missing.

== 1.6.2 | 13th November 2019 ==
* Update: Gallery bug in console.

== 1.6.1 | 8th October 2019 ==
* Update: Gallery bug with resize.
* Update: Lightbox language strings.
* Update: remove review schema, added through woocommerce by json.
* Fix: Scroll to review when review is left.

== 1.6.0 | 15th August 2019 ==
* Update: Gallery auto scroll to variable section.

== 1.5.9 | 13th August 2019 ==
* Update: Show WC 3.7 support.
* Fix: Activate issue.
* Add: {cart_total} {cart_difference} placeholders to cart notice.

== 1.5.8 | 3rd July 2019 ==
* Update: Better support for Bought Together.
* Update: Better support for WPC Smart Quick View

== 1.5.7 | 18th June 2019 ==
* Fix: Slow Query with reviews.

== 1.5.6 | 17th June 2019 ==
* Add: 3:2 and inherit Thumbnail ratios for gallery.

== 1.5.5 | 4th June 2019 ==
* Add: Review waiting for approval to Review list.

== 1.5.4 | 13th May 2019 ==
* Fix: Gallery Lightbox when theme lightbox off.
* Add: Ajax Load more to Reviews.

== 1.5.3 | 26th April 2019 ==
* Update: Add Global Tabs.

== 1.5.2 | 23th April 2019 ==
* Update: Vertical thumbnial issue.
* Add: Transition time to Product Gallery.

== 1.5.1 | 16th April 2019 ==
* Update: WC 3.6 support.

== 1.5.0 | 26th March 2019 ==
* Update: Variation thumbnail size.

== 1.4.9 | 25th February 2019 ==
* Add: Flatsome Support for affilate links.
* Fix: Reviews bug.

== 1.4.8 | 21th February 2019 ==
* Add: Coupon Checkout Modal.
* Add: Affilate Link options for product title in archive.

== 1.4.7 | 7th January 2019 ==
* Update: Bug fix with slick.
* Update: Bug with update showing.

== 1.4.6 | 4th January 2019 ==
* Update: Fix alt in swatches.

== 1.4.5 | 11th December 2018 ==
* Fix: issue with gallery not showing arrows.
* Fix: Mobile issue with swatches.

== 1.4.4 | 30th July 2018 ==
* Fix: Undefined variable issue.

== 1.4.3 | 27th July 2018 ==
* Fix: Missing lightbox issue.

== 1.4.2 | 25th July 2018 ==
* Update: API connection
* Add: Filter by Brand option to admin.
* Add: Shortcode for product brands and product size charts.
* Update: Language POT
* Fix: External product issue.

== 1.4.1 | 31st May 2018 ==
* Update: Advanced reviews issue with recent reviews widget.
* Add: Advanced reviews has consent checkbox added.
* Add: Product Brands widget and Filter by Product Brands widget.
* Update: Affiliate to use form per WC 3.4.0

== 1.4.0 | 26th April 2018 ==
* Update: Gallery variation images follow gallery settings.

== 1.3.9 | 12th April 2018 ==
* Fix: Issue with muitiple ids.
* Add: Caption overlay option to galleries.
* Update: Pull caption in lightbox over image title if there.

== 1.3.8 | 14th March 2018 ==
* Update: Better Advanced Reviews WPML/Polylang support.

== 1.3.7 | 1st March 2018 ==
* Update: Checkout Editor, WPML support.
* Update: Checkout Editor, Required issue.

== 1.3.6 | 15th Febuary 2018 ==
* Update: Checkout Editor, Email Issue.
* Add: Product Brands

== 1.3.5 | 31th January 2018 ==
* Update: Size cart option to connect with Template Builder.
* Update: Product gallery.

== 1.3.4 | 29th January 2018 ==
* Update: Better WPML Support
* Update: Better Max, Min Price Support
* Update: Woo 3.3 support
* Update: CMB2

== 1.3.3 | 20th November 2017 ==
* Fix: Jetpack issue.
* Fix: JS admin conflict with certain plugins.
* Update: CMB2
* Add: affiliate options
* Add: Support for badges on single product images.

== 1.3.2 | 11th October 2017 ==
* Add: Notify 3.2 support.
* Fix: issue with variable products cart notice.
* Fix: issue with cart notice.
* Fix: issue with resize gallery zoom rebuild.

== 1.3.1 | 3rd August 2017 ==
* Add: NEW CHECKOUT EDITOR!
* Fix: Issue with small images in variable products.

== 1.3.0 | 24th July 2017 ==
* Add: Clear Cart url for cart notice.
* Add: Author name meta box change.
* Update: Language string issue.

== 1.2.9 | 6th June 2017 ==
* Update: Issue with woo 3.0.8

== 1.2.8 | 13th April 2017 ==
* Update: Issue with ajax variation select

== 1.2.7 | 12th April 2017 ==
* Update: Issue with ajax variation select

== 1.2.7 | 10th April 2017 ==
* Update: Issue with Variation images

== 1.2.6 | 7th April 2017 ==
* Update: Issue with saving images.
* Fix: Issue with checking for updates.

== 1.2.5 | 3rd April 2017 ==
* Update: Support for woo 3.0
* Update: Image functions.

== 1.2.4 | 6th March 2017 ==
* Fix: Issue with product image on slow server.
* Update: Cart Notice to be more consistant.
* Update: suppport for woo 2.7

== 1.2.3 | 26th January 2017 ==
* Fix: Issue with wpml

== 1.2.2 | 29th December 2016 ==
* Fix: Issue with cart notice.

== 1.2.1 | 29th November 2016 ==
* Fix: Issue with variations and gallery.
* Fix: Issue with swatches and older versions of IE.

== 1.2.0 | 24th October 2016 ==
* Add: Gallery Image Hover ZOOM.
* Add: Advanced Cart Notices
* Add: Category Bottom Description.
* Add: More support for non Kadence Themes.
* Fix: Issue with undefined variable in swatches
* Fix: Conflict with Page Builder and size chart.

== 1.1.0 | 20th September 2016 ==
* Add: Advanced Reviews
* Add: more support for non Kadence Themes.
* Fix: Issue with add to cart text.

== 1.0 ==
* Initial Version.
